<?php
require('../common.php');
if ( $argc < 2 )   die();

for ( $i=1; $i < $argc; $i++ )
{
	$fp  = fopen( $argv[$i], "rb" );
	printf("--- %s ---\n", $argv[$i]);

	$fs = frint4b( $fp, 0x10 );
	$off = frint4b( $fp, 0xc ) + 4;
	$no = 0;
	if ( $off == 4 )   { fclose($fp); continue; }

	while( $off < $fs )
	{
		$chr_s = frint4b( $fp, $off );
		$fn = sprintf("%s-%02d.CHR", $argv[$i], $no);
		printf("%d 0x%x : 0x%x\n", $no, $off, $chr_s);

		$chr = fopen( $fn, "wb");
		copybin( $fp, $chr, $off, $chr_s );
		fclose($chr);

		$no++;
		$off += $chr_s;
	}

	fclose($fp);
}
